1. Direct API
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
        POST
      • processCard
        POST
      • processAuth
        POST
      • processCapture
        POST
      • processBatch
        POST
      • retrieveBatch (CSV)
        POST
      • retrieveBatch (JSON Response)
        GET
      • retrieveBatch (JSON Notify)
        GET
      • refundCard
        POST
      • queryCard
        POST
      • processDDebit
        POST
      • processDDebitAuth
        POST
      • processVoid
        POST
      • verifyCard
        POST
      • queryDD
        POST
      • queryBIN
        POST
      • getSettlement
        POST
      • checkEnrollment
        POST
      • checkPARes
        POST
      • addBlacklistedCard
        POST
      • removeBlacklistedCard
        POST
      • queryBlacklistedCard
        POST
      • simulateNotify
        POST
      • getSurcharge
        POST
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Direct API

retrieveBatch (JSON Response)

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
GET
/batch/{batchUUID}
This method functions similarly to retrieveBatch, with the additional capability of returning responses in JSON format. To enable JSON response functionality, please contact the Merchant Warrior support team.

Request

Path Params

Header Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/batch/53366668c157060e' \
--header 'MW-API-VERSION: 2.0' \
--header 'MW-MERCHANTID: 123456789abcd' \
--header 'MW-APIKEY: 1a3b5c' \
--header 'MW-MESSAGEHASH: 59e5f6f02777398bfd5652d041f1e0d3e44e30587308c55c7053f5e7d4b3a48d' \
--header 'pageSize: 2' \
--header 'page: 2' \
--header 'Content-Type: application/json'
Response Response Example
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "batch": {
        "id": "53367c900b2093a4",
        "status": "completed",
        "dates": {
            "created": "2025-03-06 12:56:02",
            "processed": "2025-03-06 12:56:33"
        },
        "summary": {
            "approved": {
                "count": 3,
                "amount": 131.04
            },
            "declined": {
                "count": 0,
                "amount": 0
            },
            "invalid": {
                "count": 6,
                "amount": 115.33
            }
        },
        "transactions": [
            {
                "response": {
                    "code": 0,
                    "message": "Transaction approved"
                },
                "channel": {
                    "name": "Card",
                    "type": "Basic Card"
                },
                "dates": {
                    "created": "2025-03-06 12:56:08",
                    "processed": "2025-03-06 12:56:08",
                    "settled": "2025-04-03"
                },
                "bin": {
                    "bankName": "BANCO DEL PICHINCHA C.A.",
                    "country": "EC",
                    "level": "STANDARD"
                },
                "customFields": {
                    "custom1": "123",
                    "custom2": "456",
                    "custom3": "1234"
                },
                "reference": "",
                "product": "Test Product",
                "provider": {
                    "reference": "350162",
                    "response": "00 - Approved"
                },
                "status": "preauth",
                "amount": {
                    "surcharge": 0,
                    "fee": 0.15,
                    "total": 20.11,
                    "currency": "AUD"
                },
                "id": "533-2c07b016-fa2e-11ef-82b7-005056a5521a",
                "storeId": "0",
                "customer": {
                    "name": "John Smith",
                    "contact": {
                        "phone": "411111111",
                        "email": "john@test.com"
                    },
                    "address": {
                        "address": "123 Fake St",
                        "city": "350162",
                        "state": "Queensland",
                        "postcode": "4000",
                        "country": "Australia"
                    }
                }
            },
            {
                "response": {
                    "code": 0,
                    "message": "Transaction approved"
                },
                "channel": {
                    "name": "Card",
                    "type": "Basic Card"
                },
                "dates": {
                    "created": "2025-03-06 12:56:12",
                    "processed": "2025-03-06 12:56:13",
                    "settled": "2025-04-03"
                },
                "bin": {
                    "bankName": "BANCO DEL PICHINCHA C.A.",
                    "country": "EC",
                    "level": "STANDARD"
                },
                "customFields": {
                    "custom1": "custom data",
                    "custom2": "",
                    "custom3": "1"
                },
                "reference": "",
                "product": "Test Product",
                "provider": {
                    "reference": "350163",
                    "response": "00 - Approved"
                },
                "status": "approved",
                "amount": {
                    "surcharge": 0.71,
                    "fee": 0.71,
                    "total": 10.82,
                    "currency": "AUD"
                },
                "id": "533-2e5da71c-fa2e-11ef-82b7-005056a5521a",
                "storeId": "0",
                "customer": {
                    "name": "John Smith",
                    "contact": {
                        "phone": "61731665489",
                        "email": "john@test.com"
                    },
                    "address": {
                        "address": "123 Fake St",
                        "city": "350163",
                        "state": "Queensland",
                        "postcode": "4000",
                        "country": "Australia"
                    }
                }
            },
            {
                "response": {
                    "code": -2,
                    "message": "MW - 007:Field 'payment card number' is invalid"
                },
                "channel": {
                    "name": "Card",
                    "type": "Basic Card"
                },
                "dates": {
                    "created": "",
                    "processed": "",
                    "settled": ""
                },
                "customFields": {
                    "custom1": "",
                    "custom2": "",
                    "custom3": ""
                },
                "reference": "",
                "product": "",
                "status": "",
                "amount": {
                    "surcharge": 0,
                    "fee": 0,
                    "total": 10.11,
                    "currency": "AUD"
                },
                "storeId": 0,
                "customer": {
                    "name": "",
                    "contact": {
                        "phone": "",
                        "email": ""
                    },
                    "address": {
                        "address": "",
                        "city": "",
                        "state": "",
                        "postcode": "",
                        "country": ""
                    }
                }
            },
            {
                "response": {
                    "code": 0,
                    "message": "Transaction approved"
                },
                "channel": {
                    "name": "Card",
                    "type": "Basic Card"
                },
                "dates": {
                    "created": "2025-03-06 12:56:18",
                    "processed": "2025-03-06 12:56:19",
                    "settled": "2025-04-03"
                },
                "bin": {
                    "bankName": "BANCO DEL PICHINCHA C.A.",
                    "country": "EC",
                    "level": "STANDARD"
                },
                "customFields": {
                    "custom1": "",
                    "custom2": "",
                    "custom3": ""
                },
                "reference": "",
                "product": "Test Product",
                "provider": {
                    "reference": "350164",
                    "response": "00 - Approved"
                },
                "status": "preauth",
                "amount": {
                    "surcharge": 0,
                    "fee": 0.15,
                    "total": 100.11,
                    "currency": "AUD"
                },
                "id": "533-321c5ce2-fa2e-11ef-82b7-005056a5521a",
                "storeId": "0",
                "customer": {
                    "name": "John Smith",
                    "contact": {
                        "phone": "222222222",
                        "email": "john@test.com"
                    },
                    "address": {
                        "address": "123 Fake St",
                        "city": "350164",
                        "state": "Queensland",
                        "postcode": "4000",
                        "country": "Australia"
                    }
                }
            },
            {
                "response": {
                    "code": -2,
                    "message": "MW - 007:Field 'payment card number' is invalid"
                },
                "channel": {
                    "name": "Card",
                    "type": "Basic Card"
                },
                "dates": {
                    "created": "",
                    "processed": "",
                    "settled": ""
                },
                "customFields": {
                    "custom1": "",
                    "custom2": "",
                    "custom3": ""
                },
                "reference": "",
                "product": "",
                "status": "",
                "amount": {
                    "surcharge": 0,
                    "fee": 0,
                    "total": 101.11,
                    "currency": "AUD"
                },
                "storeId": 0,
                "customer": {
                    "name": "",
                    "contact": {
                        "phone": "",
                        "email": ""
                    },
                    "address": {
                        "address": "",
                        "city": "",
                        "state": "",
                        "postcode": "",
                        "country": ""
                    }
                }
            }
        ]
    },
    "pagination": {
        "totalRecords": 9,
        "pageSize": 5,
        "currentPage": 1,
        "totalPages": 2
    }
}
Modified at 2026-07-17 04:24:13
Previous
retrieveBatch (CSV)
Next
retrieveBatch (JSON Notify)
Built with